import { Injectable } from '@nestjs/common';
import { BaseChangePosition } from 'src/core/modules/domain/usecase/managers/base-change-position.manager';
import { FaqEntity } from '../../entities/faq.entity';
import { FaqModel } from '../../../data/models/faq.model';

@Injectable()
export class ChangePositionFaqManager extends BaseChangePosition<FaqEntity> {
  get entityTarget(): any {
    return FaqModel;
  }

  async afterProcess(): Promise<void> {
    return;
  }
}
